# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeOrderInfosRequest(JDCloudRequest):
    """
    返回订单列表不分页
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeOrderInfosRequest, self).__init__(
            '/regions/{regionId}/describeOrderInfos', 'GET', header, version)
        self.parameters = parameters


class DescribeOrderInfosParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 地域ID，可调用接口（describeRegiones）获取云物理服务器支持的地域
        """

        self.regionId = regionId
        self.instanceId = None
        self.orderNumber = None
        self.subOrderNumber = None
        self.orderType = None
        self.taskId = None

    def setInstanceId(self, instanceId):
        """
        :param instanceId: (Optional) GCS系统资源实例ID
        """
        self.instanceId = instanceId

    def setOrderNumber(self, orderNumber):
        """
        :param orderNumber: (Optional) 主订单编号
        """
        self.orderNumber = orderNumber

    def setSubOrderNumber(self, subOrderNumber):
        """
        :param subOrderNumber: (Optional) 子订单编号
        """
        self.subOrderNumber = subOrderNumber

    def setOrderType(self, orderType):
        """
        :param orderType: (Optional) 订单类型：1-新购|2-续费|3-配置变更
        """
        self.orderType = orderType

    def setTaskId(self, taskId):
        """
        :param taskId: (Optional) 主单打包id号
        """
        self.taskId = taskId

