# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class UsersMetricsReq(object):

    def __init__(self, startTime=None, endTime=None, interval=None, userRoomId=None, userIds=None, metricType=None, metricNames=None):
        """
        :param startTime: (Optional) UTC时间，格式为:yyyy-MM-dd'T'HH:mm:ss'Z'，示例:2023-12-31T10:00:00Z
        :param endTime: (Optional) UTC时间，格式为:yyyy-MM-dd'T'HH:mm:ss'Z'，示例:2023-12-31T11:00:00Z
        :param interval: (Optional) 查询数据的间隔粒度,支持 15s 30s 1m 5m 10m
        :param userRoomId: (Optional) 业务接入方定义的且在JRTC系统内注册过的房间号
        :param userIds: (Optional) 业务接入方定义的且在JRTC系统内注册过userId列表,最多支持20个userId
        :param metricType: (Optional) 支持的metricType：Network,Audio,Video,Screen,System
        :param metricNames: (Optional) 指标名称列表，每个metricType下支持的指标名称如下,可以指定一个或多个指标名称
<b>Network</b>
- `NetDelay`: 网络延时
- `DownlinkPacketLoss`: 下行网络丢包
- `DownlinkBandwidth`: 下行网络带宽
- `UplinkPacketLoss`: 上行网络丢包
- `UplinkBandwidth`: 上行网络带宽
<b>Audio</b>
- `UplinkAudioBitRate`: 上行音频码率
- `UplinkAudioDelay`: 上行音频延时
- `UplinkAudioJitter`: 上行音频抖动
- `UplinkAudioLevel`: 上行音量大小
- `DownlinkAudioBitRate`: 下行音频码率
- `DownlinkAudioDelay`: 下行音频延时
- `DownlinkAudioJitter`: 下行音频抖动
- `DownlinkAudioLevel`: 下行音量大小
<b>Video</b>：
- `UplinkVideoBitRate`: 上行视频码率
- `UplinkVideoFrameRate`: 上行视频帧率
- `UplinkVideoResolution`: 上行视频分辨率
- `UplinkVideoDelay`: 上行视频延时
- `UplinkVideoJitter`: 上行视频抖动
- `DownlinkVideoBitRate`: 下行视频码率
- `DownlinkVideoDelay`: 下行视频延时
- `DownlinkVideoJitter`: 下行视频抖动
- `DownlinkVideoBitRate`: 下行视频码率
- `DownlinkVideoFrameRate`: 下行视频帧率
- `DownlinkVideoResolution`: 下行视频分辨率
- `DownlinkVideoDelay`: 下行视频延时
- `DownlinkVideoJitter`: 下行视频抖动
<b>Screen</b>：
- `UplinkScreenBitRate`: 上行共享屏幕视频码率
- `UplinkScreenFrameRate`: 上行共享屏幕视频帧率
- `UplinkScreenResolution`: 上行共享屏幕视频分辨率
- `UplinkScreenDelay`: 上行共享屏幕视频延时
- `UplinkScreenJitter`: 上行共享屏幕视频抖动
- `DownlinkScreenBitRate`: 下行共享屏幕视频码率
- `DownlinkScreenDelay`: 下行共享屏幕视频延时
- `DownlinkScreenJitter`: 下行共享屏幕视频抖动
- `DownlinkScreenBitRate`: 下行共享屏幕视频码率
- `DownlinkScreenFrameRate`: 下行共享屏幕视频帧率
- `DownlinkScreenResolution`: 下行共享屏幕视频分辨率
- `DownlinkScreenDelay`: 下行视频延时
- `DownlinkScreenJitter`: 下行视频抖动
<b>System</b>
- `AppCpuUtilization`: app的cpu占用率
- `SystemCpuUtilization`: 系统的cpu占用率
- `AppMemUtilization`: app的内存占用

        """

        self.startTime = startTime
        self.endTime = endTime
        self.interval = interval
        self.userRoomId = userRoomId
        self.userIds = userIds
        self.metricType = metricType
        self.metricNames = metricNames
