# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreatePodTemplateRequest(JDCloudRequest):
    """
    创建Pod模板
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CreatePodTemplateRequest, self).__init__(
            '/regions/{regionId}/podTemplates', 'POST', header, version)
        self.parameters = parameters


class CreatePodTemplateParameters(object):

    def __init__(self,regionId, name, podTemplateSpec):
        """
        :param regionId: Region ID
        :param name: pod模板的名称，参考 [公共参数规范](https://docs.jdcloud.com/virtual-machines/api/general_parameters)。
        :param podTemplateSpec: pod模板创建参数
        """

        self.regionId = regionId
        self.name = name
        self.description = None
        self.podTemplateSpec = podTemplateSpec

    def setDescription(self, description):
        """
        :param description: (Optional) pod模板描述，参考 [公共参数规范](https://docs.jdcloud.com/virtual-machines/api/general_parameters)。
        """
        self.description = description

