# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UpdatePodTemplateRequest(JDCloudRequest):
    """
    修改Pod模板的配置
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(UpdatePodTemplateRequest, self).__init__(
            '/regions/{regionId}/podTemplates/{podTemplateId}', 'PATCH', header, version)
        self.parameters = parameters


class UpdatePodTemplateParameters(object):

    def __init__(self,regionId, podTemplateId, ):
        """
        :param regionId: Region ID
        :param podTemplateId: Pod模板ID
        """

        self.regionId = regionId
        self.podTemplateId = podTemplateId
        self.name = None
        self.description = None
        self.podTemplateSpec = None

    def setName(self, name):
        """
        :param name: (Optional) pod模板的名称，参考 [公共参数规范](https://docs.jdcloud.com/virtual-machines/api/general_parameters)。
        """
        self.name = name

    def setDescription(self, description):
        """
        :param description: (Optional) pod模板描述，参考 [公共参数规范](https://docs.jdcloud.com/virtual-machines/api/general_parameters)。
        """
        self.description = description

    def setPodTemplateSpec(self, podTemplateSpec):
        """
        :param podTemplateSpec: (Optional) pod模板修改参。如果没有指定，那么就意味着不进行修改。在不特殊说明的情况下，这个规则也适用于此结构体内的其他字段。
        """
        self.podTemplateSpec = podTemplateSpec

