# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeConsumerSubTopicsRequest(JDCloudRequest):
    """
    consumerGroup在线订阅topic信息
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeConsumerSubTopicsRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}/consumerGroups/{consumerGroup}/subTopics', 'GET', header, version)
        self.parameters = parameters


class DescribeConsumerSubTopicsParameters(object):

    def __init__(self,regionId, instanceId, consumerGroup, pageSize, pageNumber, ):
        """
        :param regionId: 区域ID
        :param instanceId: 实例id
        :param consumerGroup: 消费组名称
        :param pageSize: 分页大小
        :param pageNumber: 页码
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.consumerGroup = consumerGroup
        self.pageSize = pageSize
        self.pageNumber = pageNumber
        self.topicFilter = None

    def setTopicFilter(self, topicFilter):
        """
        :param topicFilter: (Optional) topic匹配字段
        """
        self.topicFilter = topicFilter

