# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class SendMessageRequest(JDCloudRequest):
    """
    发送消息
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(SendMessageRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}/topics/{topic}/messages', 'POST', header, version)
        self.parameters = parameters


class SendMessageParameters(object):

    def __init__(self,regionId, instanceId, topic, messageBody, enableDelay, ):
        """
        :param regionId: 区域ID
        :param instanceId: 实例id
        :param topic: topic 名称
        :param messageBody: 消息内容
        :param enableDelay: 是否延时
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.topic = topic
        self.messageBody = messageBody
        self.tag = None
        self.key = None
        self.enableDelay = enableDelay
        self.delaySecond = None

    def setTag(self, tag):
        """
        :param tag: (Optional) 消息tag
        """
        self.tag = tag

    def setKey(self, key):
        """
        :param key: (Optional) key id
        """
        self.key = key

    def setDelaySecond(self, delaySecond):
        """
        :param delaySecond: (Optional) 延时秒数
        """
        self.delaySecond = delaySecond

