# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UpdateConsumerGroupRequest(JDCloudRequest):
    """
    修改consumerGroup
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(UpdateConsumerGroupRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}/consumerGroups', 'PATCH', header, version)
        self.parameters = parameters


class UpdateConsumerGroupParameters(object):

    def __init__(self,regionId, instanceId, consumerGroup, ):
        """
        :param regionId: 区域ID
        :param instanceId: 实例id
        :param consumerGroup: consumerGroup名称
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.consumerGroup = consumerGroup
        self.description = None
        self.retryMaxTimes = None
        self.enableDlq = None

    def setDescription(self, description):
        """
        :param description: (Optional) 描述
        """
        self.description = description

    def setRetryMaxTimes(self, retryMaxTimes):
        """
        :param retryMaxTimes: (Optional) 消费重试次数
        """
        self.retryMaxTimes = retryMaxTimes

    def setEnableDlq(self, enableDlq):
        """
        :param enableDlq: (Optional) 是否开启死信（默认开启）
        """
        self.enableDlq = enableDlq

