# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class TaskListItem(object):

    def __init__(self, taskId=None, taskStartTime=None, taskType=None, taskOpType=None, user=None, subUser=None, taskStatus=None, taskProgress=None, taskTimeConsuming=None, isTaskTimeConsumeContinueIncrease=None, taskErrorInfo=None, taskEndTime=None, canInterruptTask=None, canRetryTask=None, instanceId=None, regionId=None):
        """
        :param taskId: (Optional) 任务ID
        :param taskStartTime: (Optional) 任务的开始时间(包括变配, 创建, 重启等任务), 时间格式 2022-07-04T09:55:20Z
        :param taskType: (Optional) 任务类型(包括但不限于创建、变配、重启 等任务), 用于前端展示使用
        :param taskOpType: (Optional) 任务类型, 是数字枚举类型, 用于查询过滤条件
        :param user: (Optional) 任务执行人(主账户)
        :param subUser: (Optional) 任务执行人(子用户)
        :param taskStatus: (Optional) 任务的执行状态
init - 初始化, 代表任务刚初始化, 待调度运行。中间态, 允许中断
executing - 执行中, 代表任务被调度执行。 中间态, 允许中断
succ - 执行成功。 终止态, 任务运行完成
fail - 执行失败。 终止态
error - 执行出错。 中间态, 允许重试

        :param taskProgress: (Optional) 0-100 正整数，任务进度条
        :param taskTimeConsuming: (Optional) 任务的持续运行时间，单位为s（秒）；如果任务成功则返回0
        :param isTaskTimeConsumeContinueIncrease: (Optional) 标志任务的持续运行时间(taskTimeConsuming)是否还会继续增加。
        :param taskErrorInfo: (Optional) taskStatus==error时, 展示错误信息
        :param taskEndTime: (Optional) 任务的结束时间（包括变配、创建、重启等任务），时间格式 2022-07-04T09:55:20Z
        :param canInterruptTask: (Optional) 任务是否可以中断, 任务状态从 executing => fail, error => fail, init => fail
        :param canRetryTask: (Optional) 任务是否可以重试, 任务状态从 error => executing
        :param instanceId: (Optional) 任务关联的实例ID
        :param regionId: (Optional) 地域
        """

        self.taskId = taskId
        self.taskStartTime = taskStartTime
        self.taskType = taskType
        self.taskOpType = taskOpType
        self.user = user
        self.subUser = subUser
        self.taskStatus = taskStatus
        self.taskProgress = taskProgress
        self.taskTimeConsuming = taskTimeConsuming
        self.isTaskTimeConsumeContinueIncrease = isTaskTimeConsumeContinueIncrease
        self.taskErrorInfo = taskErrorInfo
        self.taskEndTime = taskEndTime
        self.canInterruptTask = canInterruptTask
        self.canRetryTask = canRetryTask
        self.instanceId = instanceId
        self.regionId = regionId
