# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribePublishObjsRequest(JDCloudRequest):
    """
    分页查询发布对象列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(DescribePublishObjsRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/describePublishObjs', 'POST', header, version)
        self.parameters = parameters


class DescribePublishObjsParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.pageSize = None
        self.pageNum = None
        self.objUk = None
        self.objName = None
        self.objTypeCode = None
        self.objChangeTypeCode = None
        self.submitterPin = None
        self.submitTimeStart = None
        self.submitTimeEnd = None

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 页面容量
        """
        self.pageSize = pageSize

    def setPageNum(self, pageNum):
        """
        :param pageNum: (Optional) 页号
        """
        self.pageNum = pageNum

    def setObjUk(self, objUk):
        """
        :param objUk: (Optional) 对象ID
        """
        self.objUk = objUk

    def setObjName(self, objName):
        """
        :param objName: (Optional) 对象名称
        """
        self.objName = objName

    def setObjTypeCode(self, objTypeCode):
        """
        :param objTypeCode: (Optional) 对象类型编码
        """
        self.objTypeCode = objTypeCode

    def setObjChangeTypeCode(self, objChangeTypeCode):
        """
        :param objChangeTypeCode: (Optional) 变更类型编码
        """
        self.objChangeTypeCode = objChangeTypeCode

    def setSubmitterPin(self, submitterPin):
        """
        :param submitterPin: (Optional) 提交人
        """
        self.submitterPin = submitterPin

    def setSubmitTimeStart(self, submitTimeStart):
        """
        :param submitTimeStart: (Optional) 提交开始时间
        """
        self.submitTimeStart = submitTimeStart

    def setSubmitTimeEnd(self, submitTimeEnd):
        """
        :param submitTimeEnd: (Optional) 提交结束时间
        """
        self.submitTimeEnd = submitTimeEnd

