# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribePublishPkgsRequest(JDCloudRequest):
    """
    分页查询发布包列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(DescribePublishPkgsRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/describePublishPkgs', 'POST', header, version)
        self.parameters = parameters


class DescribePublishPkgsParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.pageSize = None
        self.pageNum = None
        self.pkgName = None
        self.pkgId = None
        self.publisher = None
        self.pkgStatus = None
        self.pkgPublishTimeStart = None
        self.pkgPublishTimeEnd = None
        self.pkgCreator = None
        self.pkgCreateTimeStart = None
        self.pkgCreateTimeEnd = None

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 页面容量
        """
        self.pageSize = pageSize

    def setPageNum(self, pageNum):
        """
        :param pageNum: (Optional) 页号
        """
        self.pageNum = pageNum

    def setPkgName(self, pkgName):
        """
        :param pkgName: (Optional) 发布包名称
        """
        self.pkgName = pkgName

    def setPkgId(self, pkgId):
        """
        :param pkgId: (Optional) 发布包ID
        """
        self.pkgId = pkgId

    def setPublisher(self, publisher):
        """
        :param publisher: (Optional) 发布人
        """
        self.publisher = publisher

    def setPkgStatus(self, pkgStatus):
        """
        :param pkgStatus: (Optional) 发布包状态
        """
        self.pkgStatus = pkgStatus

    def setPkgPublishTimeStart(self, pkgPublishTimeStart):
        """
        :param pkgPublishTimeStart: (Optional) 发布时间开始
        """
        self.pkgPublishTimeStart = pkgPublishTimeStart

    def setPkgPublishTimeEnd(self, pkgPublishTimeEnd):
        """
        :param pkgPublishTimeEnd: (Optional) 发布时间结束
        """
        self.pkgPublishTimeEnd = pkgPublishTimeEnd

    def setPkgCreator(self, pkgCreator):
        """
        :param pkgCreator: (Optional) 打包人
        """
        self.pkgCreator = pkgCreator

    def setPkgCreateTimeStart(self, pkgCreateTimeStart):
        """
        :param pkgCreateTimeStart: (Optional) 打包时间开始
        """
        self.pkgCreateTimeStart = pkgCreateTimeStart

    def setPkgCreateTimeEnd(self, pkgCreateTimeEnd):
        """
        :param pkgCreateTimeEnd: (Optional) 打包时间结束
        """
        self.pkgCreateTimeEnd = pkgCreateTimeEnd

