# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GravityParticleJobHisRunListTaskRequest(JDCloudRequest):
    """
    补数跟踪列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(GravityParticleJobHisRunListTaskRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/gravityParticleJobHisRunListTask', 'POST', header, version)
        self.parameters = parameters


class GravityParticleJobHisRunListTaskParameters(object):

    def __init__(self,regionId, appName, pageSize, pageNum, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        :param pageSize: 页面大小
        :param pageNum: 页码
        """

        self.regionId = regionId
        self.appName = appName
        self.pageSize = pageSize
        self.pageNum = pageNum
        self.enable = None
        self.jobName = None
        self.cstJobName = None
        self.jobType = None
        self.processType = None
        self.processTypeList = None
        self.exeTypeList = None
        self.cycle = None
        self.manager = None
        self.statu = None
        self.jobStartDate = None
        self.jobEndDate = None
        self.createDateBefore = None
        self.workspaceCode = None
        self.jobChildType = None

    def setEnable(self, enable):
        """
        :param enable: (Optional) 补数任务是否关闭
        """
        self.enable = enable

    def setJobName(self, jobName):
        """
        :param jobName: (Optional) 任务名称
        """
        self.jobName = jobName

    def setCstJobName(self, cstJobName):
        """
        :param cstJobName: (Optional) 客户作业名
        """
        self.cstJobName = cstJobName

    def setJobType(self, jobType):
        """
        :param jobType: (Optional) 任务类型
        """
        self.jobType = jobType

    def setProcessType(self, processType):
        """
        :param processType: (Optional) 处理类型
        """
        self.processType = processType

    def setProcessTypeList(self, processTypeList):
        """
        :param processTypeList: (Optional) 处理类型列表
        """
        self.processTypeList = processTypeList

    def setExeTypeList(self, exeTypeList):
        """
        :param exeTypeList: (Optional) 执行类型列表
        """
        self.exeTypeList = exeTypeList

    def setCycle(self, cycle):
        """
        :param cycle: (Optional) 周期具体日期
        """
        self.cycle = cycle

    def setManager(self, manager):
        """
        :param manager: (Optional) 作业负责人
        """
        self.manager = manager

    def setStatu(self, statu):
        """
        :param statu: (Optional) 任务状态
        """
        self.statu = statu

    def setJobStartDate(self, jobStartDate):
        """
        :param jobStartDate: (Optional) 补数开始日期
        """
        self.jobStartDate = jobStartDate

    def setJobEndDate(self, jobEndDate):
        """
        :param jobEndDate: (Optional) 补数结束日期
        """
        self.jobEndDate = jobEndDate

    def setCreateDateBefore(self, createDateBefore):
        """
        :param createDateBefore: (Optional) 创建时间结束区间
        """
        self.createDateBefore = createDateBefore

    def setWorkspaceCode(self, workspaceCode):
        """
        :param workspaceCode: (Optional) 工作空间code
        """
        self.workspaceCode = workspaceCode

    def setJobChildType(self, jobChildType):
        """
        :param jobChildType: (Optional) 
        """
        self.jobChildType = jobChildType

