# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GravityParticleOpenRerunRequest(JDCloudRequest):
    """
    重跑指定任务的指定数据日期
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(GravityParticleOpenRerunRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/gravityParticleOpenRerun', 'POST', header, version)
        self.parameters = parameters


class GravityParticleOpenRerunParameters(object):

    def __init__(self,regionId, appName, txDate, workspaceCode, jobIdList):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        :param txDate: 数据日期, 对于非小时/分钟周期任务，格式为 yyyy-MM-dd；对于小时/分钟周期任务，格式为 yyyy-MM-dd-HH-mm
        :param workspaceCode: 作业所属工作空间编码，形如: ws_123456789012345678
        :param jobIdList: 作业ID列表，最多允许传递20个作业
        """

        self.regionId = regionId
        self.appName = appName
        self.txDate = txDate
        self.workspaceCode = workspaceCode
        self.jobIdList = jobIdList

