# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GravityParticleParticleJobListJobInstanceRequest(JDCloudRequest):
    """
    条件查询-作业运行实例列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(GravityParticleParticleJobListJobInstanceRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/gravityParticleParticleJobListJobInstance', 'POST', header, version)
        self.parameters = parameters


class GravityParticleParticleJobListJobInstanceParameters(object):

    def __init__(self,regionId, appName, pageSize, pageNum, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        :param pageSize: 页面大小
        :param pageNum: 页码
        """

        self.regionId = regionId
        self.appName = appName
        self.pageSize = pageSize
        self.pageNum = pageNum
        self.statusList = None
        self.enable = None
        self.cycle = None
        self.processType = None
        self.manager = None
        self.jobName = None
        self.jobType = None
        self.createTimeBefore = None
        self.createTimeAfter = None
        self.startTimeBefore = None
        self.startTimeAfter = None
        self.endTimeAfter = None
        self.endTimeBefore = None
        self.txDate = None
        self.jobChildType = None
        self.cstJobName = None

    def setStatusList(self, statusList):
        """
        :param statusList: (Optional) 运行状态
        """
        self.statusList = statusList

    def setEnable(self, enable):
        """
        :param enable: (Optional) 作业上上线下线状态
        """
        self.enable = enable

    def setCycle(self, cycle):
        """
        :param cycle: (Optional) 运行周期
        """
        self.cycle = cycle

    def setProcessType(self, processType):
        """
        :param processType: (Optional) 处理类型
        """
        self.processType = processType

    def setManager(self, manager):
        """
        :param manager: (Optional) 负责人
        """
        self.manager = manager

    def setJobName(self, jobName):
        """
        :param jobName: (Optional) 作业名
        """
        self.jobName = jobName

    def setJobType(self, jobType):
        """
        :param jobType: (Optional) 任务类型
        """
        self.jobType = jobType

    def setCreateTimeBefore(self, createTimeBefore):
        """
        :param createTimeBefore: (Optional) 任务创建日期-结束
        """
        self.createTimeBefore = createTimeBefore

    def setCreateTimeAfter(self, createTimeAfter):
        """
        :param createTimeAfter: (Optional) 任务创建日期-开始
        """
        self.createTimeAfter = createTimeAfter

    def setStartTimeBefore(self, startTimeBefore):
        """
        :param startTimeBefore: (Optional) 运行开始时间范围
        """
        self.startTimeBefore = startTimeBefore

    def setStartTimeAfter(self, startTimeAfter):
        """
        :param startTimeAfter: (Optional) 运行开始时间范围
        """
        self.startTimeAfter = startTimeAfter

    def setEndTimeAfter(self, endTimeAfter):
        """
        :param endTimeAfter: (Optional) 运行结束时间范围
        """
        self.endTimeAfter = endTimeAfter

    def setEndTimeBefore(self, endTimeBefore):
        """
        :param endTimeBefore: (Optional) 运行结束时间范围
        """
        self.endTimeBefore = endTimeBefore

    def setTxDate(self, txDate):
        """
        :param txDate: (Optional) 数据日期
        """
        self.txDate = txDate

    def setJobChildType(self, jobChildType):
        """
        :param jobChildType: (Optional) 
        """
        self.jobChildType = jobChildType

    def setCstJobName(self, cstJobName):
        """
        :param cstJobName: (Optional) 客户作业名
        """
        self.cstJobName = cstJobName

