# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GravityParticleParticleJobListJobRequest(JDCloudRequest):
    """
    首页调用-获取所有作业信息
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(GravityParticleParticleJobListJobRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/gravityParticleParticleJobListJob', 'POST', header, version)
        self.parameters = parameters


class GravityParticleParticleJobListJobParameters(object):

    def __init__(self,regionId, appName, pageSize, pageNum, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        :param pageSize: 页面大小
        :param pageNum: 页码
        """

        self.regionId = regionId
        self.appName = appName
        self.pageSize = pageSize
        self.pageNum = pageNum
        self.lastJobStatus = None
        self.excludeJobTypes = None
        self.marketJobsAll = None
        self.manager = None
        self.queryMode = None
        self.enable = None
        self.jobName = None
        self.currentStatus = None
        self.processType = None
        self.lastTxdate = None
        self.cycle = None
        self.jobStartRunTime = None
        self.jobEndRunTime = None
        self.createTimeBefore = None
        self.createTimeAfter = None
        self.updateTimeBefore = None
        self.updateTimeAfter = None
        self.jobType = None
        self.markClassifyCode = None
        self.markName = None
        self.jobChildType = None
        self.cstJobName = None

    def setLastJobStatus(self, lastJobStatus):
        """
        :param lastJobStatus: (Optional) 最后一次运行状态
        """
        self.lastJobStatus = lastJobStatus

    def setExcludeJobTypes(self, excludeJobTypes):
        """
        :param excludeJobTypes: (Optional) 处理类型
        """
        self.excludeJobTypes = excludeJobTypes

    def setMarketJobsAll(self, marketJobsAll):
        """
        :param marketJobsAll: (Optional) 
        """
        self.marketJobsAll = marketJobsAll

    def setManager(self, manager):
        """
        :param manager: (Optional) 负责人
        """
        self.manager = manager

    def setQueryMode(self, queryMode):
        """
        :param queryMode: (Optional) 任务类型
        """
        self.queryMode = queryMode

    def setEnable(self, enable):
        """
        :param enable: (Optional) 作业上上线下线状态
        """
        self.enable = enable

    def setJobName(self, jobName):
        """
        :param jobName: (Optional) 作业名
        """
        self.jobName = jobName

    def setCurrentStatus(self, currentStatus):
        """
        :param currentStatus: (Optional) 
        """
        self.currentStatus = currentStatus

    def setProcessType(self, processType):
        """
        :param processType: (Optional) 处理类型
        """
        self.processType = processType

    def setLastTxdate(self, lastTxdate):
        """
        :param lastTxdate: (Optional) 数据日期
        """
        self.lastTxdate = lastTxdate

    def setCycle(self, cycle):
        """
        :param cycle: (Optional) 运行周期
        """
        self.cycle = cycle

    def setJobStartRunTime(self, jobStartRunTime):
        """
        :param jobStartRunTime: (Optional) 任务执行时间开始
        """
        self.jobStartRunTime = jobStartRunTime

    def setJobEndRunTime(self, jobEndRunTime):
        """
        :param jobEndRunTime: (Optional) 任务执行时间- 结束
        """
        self.jobEndRunTime = jobEndRunTime

    def setCreateTimeBefore(self, createTimeBefore):
        """
        :param createTimeBefore: (Optional) 任务创建日期-结束
        """
        self.createTimeBefore = createTimeBefore

    def setCreateTimeAfter(self, createTimeAfter):
        """
        :param createTimeAfter: (Optional) 任务创建日期-开始
        """
        self.createTimeAfter = createTimeAfter

    def setUpdateTimeBefore(self, updateTimeBefore):
        """
        :param updateTimeBefore: (Optional) 任务修改日期-结束
        """
        self.updateTimeBefore = updateTimeBefore

    def setUpdateTimeAfter(self, updateTimeAfter):
        """
        :param updateTimeAfter: (Optional) 任务修改日期-开始
        """
        self.updateTimeAfter = updateTimeAfter

    def setJobType(self, jobType):
        """
        :param jobType: (Optional) 任务类型
        """
        self.jobType = jobType

    def setMarkClassifyCode(self, markClassifyCode):
        """
        :param markClassifyCode: (Optional) 
        """
        self.markClassifyCode = markClassifyCode

    def setMarkName(self, markName):
        """
        :param markName: (Optional) 
        """
        self.markName = markName

    def setJobChildType(self, jobChildType):
        """
        :param jobChildType: (Optional) 
        """
        self.jobChildType = jobChildType

    def setCstJobName(self, cstJobName):
        """
        :param cstJobName: (Optional) 客户作业名
        """
        self.cstJobName = cstJobName

