# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class JtlasPageSearchTablesRequest(JDCloudRequest):
    """
    检索表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(JtlasPageSearchTablesRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/jtlasPageSearchTables', 'POST', header, version)
        self.parameters = parameters


class JtlasPageSearchTablesParameters(object):

    def __init__(self,regionId, appName, filterQuery, searchMode, workspaceCode, env, searchRange, sort, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        :param filterQuery: 是否是过滤请求(必填)，如果是则返回aggregate结果
        :param searchMode: 搜索模式(必填)，准确和模糊检索
        :param workspaceCode: 工作空间(必填)
        :param env: dev或prod空字符串代表所有环境
        :param searchRange: 检索范围(必填)
        :param sort: 返回结果的排列方式(必填)，按照点击/创建时间升降/相关度
        """

        self.regionId = regionId
        self.appName = appName
        self.filterQuery = filterQuery
        self.searchMode = searchMode
        self.searchKeyword = None
        self.workspaceCode = workspaceCode
        self.env = env
        self.searchRange = searchRange
        self.personInCharge = None
        self.sort = sort
        self.pageNum = None
        self.pageSize = None

    def setSearchKeyword(self, searchKeyword):
        """
        :param searchKeyword: (Optional) 
        """
        self.searchKeyword = searchKeyword

    def setPersonInCharge(self, personInCharge):
        """
        :param personInCharge: (Optional) 检索指定用户下的表的时候，需要传递(可选)
        """
        self.personInCharge = personInCharge

    def setPageNum(self, pageNum):
        """
        :param pageNum: (Optional) 分页页码(必填)
        """
        self.pageNum = pageNum

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页大小(必填)
        """
        self.pageSize = pageSize

