# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ManageHubGravityListJobRequest(JDCloudRequest):
    """
    分页查询作业列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(ManageHubGravityListJobRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/manageHubGravityListJob', 'POST', header, version)
        self.parameters = parameters


class ManageHubGravityListJobParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.pageNum = None
        self.pageSize = None
        self.cstJobName = None
        self.jobName = None
        self.companyCode = None
        self.managerPin = None
        self.workspaceCode = None
        self.createTimeAfter = None
        self.createTimeBefore = None
        self.updateTimeAfter = None
        self.updateTimeBefore = None
        self.jobStartRunTime = None
        self.jobEndRunTime = None
        self.enable = None
        self.cycle = None
        self.jobType = None
        self.jobChildType = None
        self.lastJobStatus = None
        self.lastTxdate = None
        self.manager = None
        self.queryMode = None

    def setPageNum(self, pageNum):
        """
        :param pageNum: (Optional) 分页-页码
        """
        self.pageNum = pageNum

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页-每页数量
        """
        self.pageSize = pageSize

    def setCstJobName(self, cstJobName):
        """
        :param cstJobName: (Optional) 任务名称
        """
        self.cstJobName = cstJobName

    def setJobName(self, jobName):
        """
        :param jobName: (Optional) 任务编码
        """
        self.jobName = jobName

    def setCompanyCode(self, companyCode):
        """
        :param companyCode: (Optional) 租户编码
        """
        self.companyCode = companyCode

    def setManagerPin(self, managerPin):
        """
        :param managerPin: (Optional) 负责人pin
        """
        self.managerPin = managerPin

    def setWorkspaceCode(self, workspaceCode):
        """
        :param workspaceCode: (Optional) 工作空间编码
        """
        self.workspaceCode = workspaceCode

    def setCreateTimeAfter(self, createTimeAfter):
        """
        :param createTimeAfter: (Optional) 任务创建-开始日期: yyyy-MM-dd
        """
        self.createTimeAfter = createTimeAfter

    def setCreateTimeBefore(self, createTimeBefore):
        """
        :param createTimeBefore: (Optional) 任务创建-结束日期: yyyy-MM-dd
        """
        self.createTimeBefore = createTimeBefore

    def setUpdateTimeAfter(self, updateTimeAfter):
        """
        :param updateTimeAfter: (Optional) 任务更新-开始日期: yyyy-MM-dd
        """
        self.updateTimeAfter = updateTimeAfter

    def setUpdateTimeBefore(self, updateTimeBefore):
        """
        :param updateTimeBefore: (Optional) 任务更新-结束日期: yyyy-MM-dd
        """
        self.updateTimeBefore = updateTimeBefore

    def setJobStartRunTime(self, jobStartRunTime):
        """
        :param jobStartRunTime: (Optional) 任务运行-开始时间: yyyy-MM-dd HH:mm
        """
        self.jobStartRunTime = jobStartRunTime

    def setJobEndRunTime(self, jobEndRunTime):
        """
        :param jobEndRunTime: (Optional) 任务运行-结束时间: yyyy-MM-dd HH:mm
        """
        self.jobEndRunTime = jobEndRunTime

    def setEnable(self, enable):
        """
        :param enable: (Optional) 任务上下线状态: 1-上线 2-下线
        """
        self.enable = enable

    def setCycle(self, cycle):
        """
        :param cycle: (Optional) 任务周期
        """
        self.cycle = cycle

    def setJobType(self, jobType):
        """
        :param jobType: (Optional) 任务父类型
        """
        self.jobType = jobType

    def setJobChildType(self, jobChildType):
        """
        :param jobChildType: (Optional) 任务子类型
        """
        self.jobChildType = jobChildType

    def setLastJobStatus(self, lastJobStatus):
        """
        :param lastJobStatus: (Optional) 任务最后状态: not,Done,Pending,Running,Failed,Timeout,Clean,Ready
        """
        self.lastJobStatus = lastJobStatus

    def setLastTxdate(self, lastTxdate):
        """
        :param lastTxdate: (Optional) 任务最后数据日期
        """
        self.lastTxdate = lastTxdate

    def setManager(self, manager):
        """
        :param manager: (Optional) 任务负责人
        """
        self.manager = manager

    def setQueryMode(self, queryMode):
        """
        :param queryMode: (Optional) 过滤模式: exact-精确过滤，否则为模糊过滤
        """
        self.queryMode = queryMode

