# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ManageHubGravityOneClickRerunPreviewRequest(JDCloudRequest):
    """
    一键重跑预览
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(ManageHubGravityOneClickRerunPreviewRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/manageHubGravityOneClickRerunPreview', 'POST', header, version)
        self.parameters = parameters


class ManageHubGravityOneClickRerunPreviewParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.pageNum = None
        self.pageSize = None
        self.companyCode = None
        self.managerPin = None
        self.workspaceCode = None
        self.cstJobName = None
        self.txDate = None
        self.jobStartAfterTime = None
        self.jobStartBeforeTime = None
        self.jobEndAfterTime = None
        self.jobEndBeforeTime = None
        self.jobType = None
        self.cycle = None
        self.status = None

    def setPageNum(self, pageNum):
        """
        :param pageNum: (Optional) 页码
        """
        self.pageNum = pageNum

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 页大小
        """
        self.pageSize = pageSize

    def setCompanyCode(self, companyCode):
        """
        :param companyCode: (Optional) 任务编码
        """
        self.companyCode = companyCode

    def setManagerPin(self, managerPin):
        """
        :param managerPin: (Optional) 负责人pin
        """
        self.managerPin = managerPin

    def setWorkspaceCode(self, workspaceCode):
        """
        :param workspaceCode: (Optional) 工作空间编码
        """
        self.workspaceCode = workspaceCode

    def setCstJobName(self, cstJobName):
        """
        :param cstJobName: (Optional) 任务名称
        """
        self.cstJobName = cstJobName

    def setTxDate(self, txDate):
        """
        :param txDate: (Optional) 数据日期
        """
        self.txDate = txDate

    def setJobStartAfterTime(self, jobStartAfterTime):
        """
        :param jobStartAfterTime: (Optional) 任务运行开始-开始时间: yyyy-MM-dd HH:mm
        """
        self.jobStartAfterTime = jobStartAfterTime

    def setJobStartBeforeTime(self, jobStartBeforeTime):
        """
        :param jobStartBeforeTime: (Optional) 任务运行开始-结束时间: yyyy-MM-dd HH:mm
        """
        self.jobStartBeforeTime = jobStartBeforeTime

    def setJobEndAfterTime(self, jobEndAfterTime):
        """
        :param jobEndAfterTime: (Optional) 任务运行结束-开始时间: yyyy-MM-dd HH:mm
        """
        self.jobEndAfterTime = jobEndAfterTime

    def setJobEndBeforeTime(self, jobEndBeforeTime):
        """
        :param jobEndBeforeTime: (Optional) 任务运行结束-结束时间: yyyy-MM-dd HH:mm
        """
        self.jobEndBeforeTime = jobEndBeforeTime

    def setJobType(self, jobType):
        """
        :param jobType: (Optional) 任务类型
        """
        self.jobType = jobType

    def setCycle(self, cycle):
        """
        :param cycle: (Optional) 运行频率
        """
        self.cycle = cycle

    def setStatus(self, status):
        """
        :param status: (Optional) 运行状态
        """
        self.status = status

