# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ManageHubStorageIncrementRequest(JDCloudRequest):
    """
    每日存储增量
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(ManageHubStorageIncrementRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/manageHubStorageIncrement', 'GET', header, version)
        self.parameters = parameters


class ManageHubStorageIncrementParameters(object):

    def __init__(self,regionId, appName, startTime, endTime):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        :param startTime: 开始日期 yyyy-MM-dd
        :param endTime: 结束日期 yyyy-MM-dd
        """

        self.regionId = regionId
        self.appName = appName
        self.companyCode = None
        self.startTime = startTime
        self.endTime = endTime

    def setCompanyCode(self, companyCode):
        """
        :param companyCode: (Optional) 租户code, 当该参数不为空时，返回该租户的存储日增量；当该参数为空时返回集群的存储日增量
        """
        self.companyCode = companyCode

