# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UranusFunctionCheckRequest(JDCloudRequest):
    """
    判断目录/函数是否存在
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(UranusFunctionCheckRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/uranusFunctionCheck', 'POST', header, version)
        self.parameters = parameters


class UranusFunctionCheckParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.checkType = None
        self.checkName = None
        self.parentCatalogId = None

    def setCheckType(self, checkType):
        """
        :param checkType: (Optional) 检查的类型（CATALOG：函数分类目录、FUNCTION：函数）
        """
        self.checkType = checkType

    def setCheckName(self, checkName):
        """
        :param checkName: (Optional) 检查的名称
        """
        self.checkName = checkName

    def setParentCatalogId(self, parentCatalogId):
        """
        :param parentCatalogId: (Optional) 分类目录的父code（函数名称是命名空间里唯一的；函数分类目录在不同目录下可以相同）
        """
        self.parentCatalogId = parentCatalogId

