# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UranusScriptRunLogListRequest(JDCloudRequest):
    """
    脚本运行列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(UranusScriptRunLogListRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/uranusScriptRunLogList', 'POST', header, version)
        self.parameters = parameters


class UranusScriptRunLogListParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.fileCode = None
        self.statusList = None
        self.startTimeFrom = None
        self.startTimeTo = None
        self.endTimeFrom = None
        self.endTimeTo = None
        self.filePath = None
        self.page = None
        self.pageSize = None

    def setFileCode(self, fileCode):
        """
        :param fileCode: (Optional) 业务线Code
        """
        self.fileCode = fileCode

    def setStatusList(self, statusList):
        """
        :param statusList: (Optional) 运行状态列表
        """
        self.statusList = statusList

    def setStartTimeFrom(self, startTimeFrom):
        """
        :param startTimeFrom: (Optional) 启动时间起点
        """
        self.startTimeFrom = startTimeFrom

    def setStartTimeTo(self, startTimeTo):
        """
        :param startTimeTo: (Optional) 启动时间截至
        """
        self.startTimeTo = startTimeTo

    def setEndTimeFrom(self, endTimeFrom):
        """
        :param endTimeFrom: (Optional) 结束时间起点
        """
        self.endTimeFrom = endTimeFrom

    def setEndTimeTo(self, endTimeTo):
        """
        :param endTimeTo: (Optional) 结束时间截至
        """
        self.endTimeTo = endTimeTo

    def setFilePath(self, filePath):
        """
        :param filePath: (Optional) 文件路径
        """
        self.filePath = filePath

    def setPage(self, page):
        """
        :param page: (Optional) 第几页
        """
        self.page = page

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页大小
        """
        self.pageSize = pageSize

