# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UranusTaskPageListRequest(JDCloudRequest):
    """
    节点分页列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(UranusTaskPageListRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/uranusTaskPageList', 'POST', header, version)
        self.parameters = parameters


class UranusTaskPageListParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.page = None
        self.pageSize = None
        self.taskName = None
        self.jobType = None
        self.jobChildType = None
        self.manager = None
        self.jobStatus = None
        self.updateStatus = None
        self.createTimeBefore = None
        self.createTimeAfter = None
        self.updateTimeBefore = None
        self.updateTimeAfter = None
        self.flowCode = None

    def setPage(self, page):
        """
        :param page: (Optional) 分页
        """
        self.page = page

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页
        """
        self.pageSize = pageSize

    def setTaskName(self, taskName):
        """
        :param taskName: (Optional) 作业名称
        """
        self.taskName = taskName

    def setJobType(self, jobType):
        """
        :param jobType: (Optional) 任务类型
        """
        self.jobType = jobType

    def setJobChildType(self, jobChildType):
        """
        :param jobChildType: (Optional) 子任务类型
        """
        self.jobChildType = jobChildType

    def setManager(self, manager):
        """
        :param manager: (Optional) 负责人
        """
        self.manager = manager

    def setJobStatus(self, jobStatus):
        """
        :param jobStatus: (Optional) 作业状态
        """
        self.jobStatus = jobStatus

    def setUpdateStatus(self, updateStatus):
        """
        :param updateStatus: (Optional) 修改状态
        """
        self.updateStatus = updateStatus

    def setCreateTimeBefore(self, createTimeBefore):
        """
        :param createTimeBefore: (Optional) 创建时间
        """
        self.createTimeBefore = createTimeBefore

    def setCreateTimeAfter(self, createTimeAfter):
        """
        :param createTimeAfter: (Optional) 创建时间
        """
        self.createTimeAfter = createTimeAfter

    def setUpdateTimeBefore(self, updateTimeBefore):
        """
        :param updateTimeBefore: (Optional) 更新时间
        """
        self.updateTimeBefore = updateTimeBefore

    def setUpdateTimeAfter(self, updateTimeAfter):
        """
        :param updateTimeAfter: (Optional) 更新时间
        """
        self.updateTimeAfter = updateTimeAfter

    def setFlowCode(self, flowCode):
        """
        :param flowCode: (Optional) 流程Code
        """
        self.flowCode = flowCode

