# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class WorkspaceCreateRequest(JDCloudRequest):
    """
    创建工作空间
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(WorkspaceCreateRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/workspaceCreate', 'POST', header, version)
        self.parameters = parameters


class WorkspaceCreateParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.userPin = None
        self.workspaceId = None
        self.workspaceName = None
        self.manager = None
        self.workspaceDescription = None
        self.workspaceModel = None
        self.engineType = None
        self.calculateResourceCode = None
        self.integrationResourceCode = None
        self.needBundleProject = None
        self.bundleDevProjectReq = None
        self.bundleProdProjectReq = None

    def setUserPin(self, userPin):
        """
        :param userPin: (Optional) 
        """
        self.userPin = userPin

    def setWorkspaceId(self, workspaceId):
        """
        :param workspaceId: (Optional) 
        """
        self.workspaceId = workspaceId

    def setWorkspaceName(self, workspaceName):
        """
        :param workspaceName: (Optional) 
        """
        self.workspaceName = workspaceName

    def setManager(self, manager):
        """
        :param manager: (Optional) 
        """
        self.manager = manager

    def setWorkspaceDescription(self, workspaceDescription):
        """
        :param workspaceDescription: (Optional) 
        """
        self.workspaceDescription = workspaceDescription

    def setWorkspaceModel(self, workspaceModel):
        """
        :param workspaceModel: (Optional) 
        """
        self.workspaceModel = workspaceModel

    def setEngineType(self, engineType):
        """
        :param engineType: (Optional) 
        """
        self.engineType = engineType

    def setCalculateResourceCode(self, calculateResourceCode):
        """
        :param calculateResourceCode: (Optional) 
        """
        self.calculateResourceCode = calculateResourceCode

    def setIntegrationResourceCode(self, integrationResourceCode):
        """
        :param integrationResourceCode: (Optional) 
        """
        self.integrationResourceCode = integrationResourceCode

    def setNeedBundleProject(self, needBundleProject):
        """
        :param needBundleProject: (Optional) 
        """
        self.needBundleProject = needBundleProject

    def setBundleDevProjectReq(self, bundleDevProjectReq):
        """
        :param bundleDevProjectReq: (Optional) 
        """
        self.bundleDevProjectReq = bundleDevProjectReq

    def setBundleProdProjectReq(self, bundleProdProjectReq):
        """
        :param bundleProdProjectReq: (Optional) 
        """
        self.bundleProdProjectReq = bundleProdProjectReq

