# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class WorkspaceGetListRequest(JDCloudRequest):
    """
    获取工作空间列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(WorkspaceGetListRequest, self).__init__(
            '/regions/{regionId}/apps/{appName}/workspaceGetList', 'POST', header, version)
        self.parameters = parameters


class WorkspaceGetListParameters(object):

    def __init__(self,regionId, appName, ):
        """
        :param regionId: 地域ID
        :param appName: 应用名称
        """

        self.regionId = regionId
        self.appName = appName
        self.pageNum = None
        self.pageSize = None
        self.workspaceName = None
        self.workspaceId = None
        self.manager = None
        self.imProjectManager = None
        self.imInProject = None

    def setPageNum(self, pageNum):
        """
        :param pageNum: (Optional) 
        """
        self.pageNum = pageNum

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 
        """
        self.pageSize = pageSize

    def setWorkspaceName(self, workspaceName):
        """
        :param workspaceName: (Optional) 
        """
        self.workspaceName = workspaceName

    def setWorkspaceId(self, workspaceId):
        """
        :param workspaceId: (Optional) 
        """
        self.workspaceId = workspaceId

    def setManager(self, manager):
        """
        :param manager: (Optional) 
        """
        self.manager = manager

    def setImProjectManager(self, imProjectManager):
        """
        :param imProjectManager: (Optional) 
        """
        self.imProjectManager = imProjectManager

    def setImInProject(self, imInProject):
        """
        :param imInProject: (Optional) 
        """
        self.imInProject = imInProject

