# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class UranusTaskInfoRes(object):

    def __init__(self, flowCode, taskCode, projectNameMatch=None, nameKeyWord=None, relationType=None, redirectType=None, tableName=None, tableNameMatch=None, jobName=None, jobSystem=None, triggerType=None, dependencies=None, manager=None, priority=None, jobDesc=None, scriptType=None, runScript=None, scriptContent=None, cycle=None, sequence=None, lifeCycle=None, retry=None, notifyOccasion=None, notifyTime=None, notifyPattern=None, notifier=None, startRunTime=None, endRunTime=None, runTime=None, runDate=None, markIds=None, runTimeOut=None, scriptSourceType=None, isDeploy=None, scriptPath=None, scriptByte=None, fileCode=None, publishDesc=None, scriptInfo=None, version=None, sequenceStartTime=None, sequenceEndTime=None, sequenceInterval=None, runEngine=None, resourceCode=None, resourceName=None, cooperator=None, taskParamList=None, exportParamList=None, fromGravity=None, datasourcePrimaryId=None, datasourceUseEnvType=None):
        """
        :param flowCode:  新模型（MODEL），老模型（OLD_MODEL）、数据开发（IDE）、数据集成（PIPE）、数据质量（DQ)
        :param projectNameMatch: (Optional) projectNameMatch
        :param nameKeyWord: (Optional) nameKeyWord
        :param relationType: (Optional) 关联类型 JobRelationEnum
        :param redirectType: (Optional) 操作类型
        :param tableName: (Optional) 表名
        :param tableNameMatch: (Optional) tableNameMatch
        :param jobName: (Optional) 任务名称
        :param jobSystem: (Optional) 所属系统
        :param triggerType: (Optional) 触发类型
        :param dependencies: (Optional) 依赖任务
        :param manager: (Optional) 负责人
        :param priority: (Optional) 优先级
        :param jobDesc: (Optional) 任务描述
        :param scriptType: (Optional) 脚本类型，JCW为purl_sql，注意所有都是小写
        :param runScript: (Optional) 脚本名称
        :param scriptContent: (Optional) 脚本内容
        :param cycle: (Optional) 运行频率
        :param sequence: (Optional) 运行频率
        :param lifeCycle: (Optional) 生命周期
        :param retry: (Optional) 失败后是否重试
        :param notifyOccasion: (Optional) 预警时机
        :param notifyTime: (Optional) 预警时间
        :param notifyPattern: (Optional) 预警方式
        :param notifier: (Optional) 预警通知人
        :param startRunTime: (Optional) 开始运行时间（HH：mm）
        :param endRunTime: (Optional) 结束运行时间（HH：mm）
        :param runTime: (Optional) 定时、一次任务（开始运行时间）
        :param runDate: (Optional) 定时、一次任务（开始运行时间）
        :param taskCode:  节点Code
        :param markIds: (Optional) markIds
        :param runTimeOut: (Optional) 超时时间
        :param scriptSourceType: (Optional) 脚本来源类型
        :param isDeploy: (Optional) isDeploy
        :param scriptPath: (Optional) 脚本路径
        :param scriptByte: (Optional) 脚本文件字节数组,是将脚本文件内容转换为byte数组
        :param fileCode: (Optional) 脚本文件Code
        :param publishDesc: (Optional) 作业发布描述
        :param scriptInfo: (Optional) 脚本内容
        :param version: (Optional) 根据版本号，判断是重新发布还是新建，如果新建添加版本号，不是新建，更新历史表作业状态状态
        :param sequenceStartTime: (Optional) 周期开始时间（小时分钟任务用）
        :param sequenceEndTime: (Optional) 周期结束时间（小时分钟任务用）
        :param sequenceInterval: (Optional) 时间间隔（小时分钟任务用）
        :param runEngine: (Optional) 脚本运行引擎
        :param resourceCode: (Optional) 队列code
        :param resourceName: (Optional) 队列Name
        :param cooperator: (Optional) 协作人
        :param taskParamList: (Optional) 输入参数
        :param exportParamList: (Optional) 输出参数
        :param fromGravity: (Optional) 
        :param datasourcePrimaryId: (Optional) 作业读写数据源主id，数据源的主ID
        :param datasourceUseEnvType: (Optional) 作业读写数据源使用环境类型,dev：开发环境，prod：生产环境
        """

        self.flowCode = flowCode
        self.projectNameMatch = projectNameMatch
        self.nameKeyWord = nameKeyWord
        self.relationType = relationType
        self.redirectType = redirectType
        self.tableName = tableName
        self.tableNameMatch = tableNameMatch
        self.jobName = jobName
        self.jobSystem = jobSystem
        self.triggerType = triggerType
        self.dependencies = dependencies
        self.manager = manager
        self.priority = priority
        self.jobDesc = jobDesc
        self.scriptType = scriptType
        self.runScript = runScript
        self.scriptContent = scriptContent
        self.cycle = cycle
        self.sequence = sequence
        self.lifeCycle = lifeCycle
        self.retry = retry
        self.notifyOccasion = notifyOccasion
        self.notifyTime = notifyTime
        self.notifyPattern = notifyPattern
        self.notifier = notifier
        self.startRunTime = startRunTime
        self.endRunTime = endRunTime
        self.runTime = runTime
        self.runDate = runDate
        self.taskCode = taskCode
        self.markIds = markIds
        self.runTimeOut = runTimeOut
        self.scriptSourceType = scriptSourceType
        self.isDeploy = isDeploy
        self.scriptPath = scriptPath
        self.scriptByte = scriptByte
        self.fileCode = fileCode
        self.publishDesc = publishDesc
        self.scriptInfo = scriptInfo
        self.version = version
        self.sequenceStartTime = sequenceStartTime
        self.sequenceEndTime = sequenceEndTime
        self.sequenceInterval = sequenceInterval
        self.runEngine = runEngine
        self.resourceCode = resourceCode
        self.resourceName = resourceName
        self.cooperator = cooperator
        self.taskParamList = taskParamList
        self.exportParamList = exportParamList
        self.fromGravity = fromGravity
        self.datasourcePrimaryId = datasourcePrimaryId
        self.datasourceUseEnvType = datasourceUseEnvType
